Bug 493531 - Review Request: perl-Test-Most - Test::Most Perl module
Review Request: perl-Test-Most - Test::Most Perl module
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: 493530
  Show dependency treegraph
Reported: 2009-04-02 02:53 EDT by Marcela Mašláňová
Modified: 2014-04-05 15:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-22 04:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-02 02:53:36 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Test-Most.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Test-Most-0.21-1.fc11.src.rpm
Description: Most commonly needed test functions and features.
Comment 1 Parag AN(पराग) 2009-04-02 09:45:35 EDT
will you please check if Requires: lines are really needed in this package?
For perl packages dependencies are automatically resolved at time of their installation using yum.
Only those dependencies that yum fails to pick/resolve are needed to be explicitly added in spec file as Requires
Comment 2 Marcela Mašláňová 2009-04-06 09:28:05 EDT

Checked. Most of requirement are really needed but few were removed.
Comment 3 Marcela Mašláňová 2009-04-14 07:22:32 EDT
Ping? This is blocking another package, which was already accepted.
Comment 4 Parag AN(पराग) 2009-04-15 00:39:57 EDT
The reason I did not review this because I am continually checking updates here.
See http://koji.fedoraproject.org/koji/getfile?taskID=1299555&name=root.log

DEBUG util.py:256:  No Package Found for perl(Data::Dumper::Names) >= 0.03

koji build for above log is 

Also I see package perl-Data-Dumper-Names is not built successfully yet http://koji.fedoraproject.org/koji/packageinfo?packageID=8109

I also found failed build for perl-Data-Dumper-Names at http://koji.fedoraproject.org/koji/buildinfo?buildID=97060

So I think I cannot proceed here until koji allows to build this package successfully.
Comment 5 Marcela Mašláňová 2009-04-15 03:41:40 EDT
Omg, it's all about cyclic dependency :) Now I switched off tests in perl-Data-Dumper-Names, which needs perl-Test-Most, which needs perl-Data-Dumper-Names as BR.

In an hour or so, it should perl-Data-Dumper-Names be in buildroot and this package will succeed.
Comment 6 Parag AN(पराग) 2009-04-15 05:19:11 EDT
Failed build http://koji.fedoraproject.org/koji/taskinfo?taskID=1299787
Comment 7 Parag AN(पराग) 2009-04-16 00:17:23 EDT
Attempted again to mock build at koji
Comment 8 Marcela Mašláňová 2009-04-16 07:53:00 EDT

The problem was with tag. Because perl-Data-Dumper-Names are tagged into 
dist-f11-updates-candidate or dist-f12 and my scratch builds were into dist-f11, which doesn't know about perl-Data-Dumper-Names.
Comment 9 Parag AN(पराग) 2009-04-17 00:44:35 EDT
As already said please remove following from SPEC

Requires:       perl(Data::Dumper::Names) >= 0.03
Requires:       perl(Exception::Class) >= 1.14
Requires:       perl(Test::Deep)
Requires:       perl(Test::Differences)
Requires:       perl(Test::Exception)
Requires:       perl(Test::Warn) >= 0.1

I have tested again with yum install command and I see all those are automatically installed.

Also, I have seen in most of your perl package submissions that you also uses
BuildRequires:  perl >= 0:5.006

This is not needed.

Please submit new SRPM
Comment 10 Parag AN(पराग) 2009-04-17 00:57:43 EDT
sorry mistakenly changed flags to fedora-review+
reverting back
Comment 12 Marcela Mašláňová 2009-04-20 05:56:55 EDT
New Package CVS Request
Package Name: perl-Test-Most
Short Description: Most commonly needed test functions and features
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 13 Kevin Fenzi 2009-04-21 15:57:12 EDT
cvs done.
Comment 14 Marcela Mašláňová 2009-04-22 04:36:53 EDT
After freeze of F-11 it will be build as perl-Test-Most-0.21-3.fc11.
Comment 15 Paul Howarth 2014-03-21 10:13:53 EDT
Package Change Request
Package Name: perl-Test-Most
New Branches: el5 el6
Owners: pghmcfc
InitialCC: perl-sig

I (pghmcfc) am already maintainer of perl-Test-Most for EPEL-7.
Comment 16 Gwyn Ciesla 2014-03-21 10:41:14 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-03-21 11:24:43 EDT
perl-Test-Most-0.21-4.el6,perl-Data-Dumper-Names-0.03-17.el6 has been submitted as an update for Fedora EPEL 6.
Comment 18 Fedora Update System 2014-04-05 15:36:40 EDT
perl-Test-Most-0.21-4.el6, perl-Data-Dumper-Names-0.03-17.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.